## l2tpd 0.67

=== Makefile ===
#
# Layer Two Tunneling Protocol Daemon
# Copyright (C)1998 Adtran, Inc.
#
# Mark Spencer <markster@marko.net>
#
# This is free software.  You may distribute it under
# the terms of the GNU General Public License,
# version 2, or at your option any later version.
#
# Note on debugging flags:
# -DDEBUG_ZLB shows all ZLB exchange traffic
# -DDEBUG_CONTROL debugs the /var/run/l2tp-control pipe interface
# -DDEBUG_HELLO debugs when hello messages are sent
# -DDEBUG_CLOSE debugs call and tunnel closing
# -DDEBUG_FLOW debugs flow control system
# -DDEBUG_FILE debugs file format
# -DDEBUG_AAA debugs authentication, accounting, and access control
# -DDEBUG_PAYLOAD shows info on every payload packet
# -DDEBUG_CONTROL shows info on every control packet
# -DDEBUG_PPPD shows the command line of pppd
# -DDEBUG_HIDDEN debugs hidden AVP's
# -DTEST_HIDDEN makes Assigned Call ID sent as a hidden AVP
#
# Also look at the top of network.c for some other (eventually to 
# become runtime options) debugging flags
#
#DFLAGS= -g -O2 -DDEBUG_PPPD
DFLAGS= -g -O2 -DDEBUG_PPPD -DDEBUG_CONTROL
#
# Uncomment the next line for Linux
#
OSFLAGS= -DLINUX -I/usr/include
#
# Uncomment the following to use the kernel interface under Linux
#
#OSFLAGS+= -DUSE_KERNEL
#
# Uncomment the next line for FreeBSD
#
#OSFLAGS= -DFREEBSD
#
# Uncomment the next line for Solaris. For solaris, at least,
# we don't want to specify -I/usr/include because it is in
# the basic search path, and will over-ride some gcc-specific
# include paths and cause problems.
#
#OSFLAGS= -DSOLARIS
#OSLIBS= -lnsl -lsocket

CFLAGS= $(DFLAGS) -Wall -DSANITY $(OSFLAGS)
HDRS=l2tp.h avp.h misc.h control.h call.h scheduler.h file.h aaa.h md5.h
OBJS=l2tpd.o pty.o misc.o control.o avp.o call.o network.o avpsend.o scheduler.o file.o aaa.o md5.o
LIBS= $(OSLIB) # -lefence # efence for malloc checking
BIN=l2tpd
BINDIR=/usr/sbin
ETCDIR=/etc

all: $(BIN)

clean:
	rm -f $(OBJS) $(BIN)

$(BIN): $(OBJS) $(HDRS) 
	$(CC) -o $(BIN) $(DFLAGS) $(OBJS) $(LIBS)

## l2tpd 0.70

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# $Id$
 #
 # Layer Two Tunneling Protocol Daemon
 # Copyright (C)1998 Adtran, Inc.
@@ -20,17 +21,19 @@
 # -DDEBUG_CONTROL shows info on every control packet
 # -DDEBUG_PPPD shows the command line of pppd
 # -DDEBUG_HIDDEN debugs hidden AVP's
+# -DDEBUG_ENTROPY debug entropy generation
 # -DTEST_HIDDEN makes Assigned Call ID sent as a hidden AVP
 #
 # Also look at the top of network.c for some other (eventually to 
 # become runtime options) debugging flags
 #
 #DFLAGS= -g -O2 -DDEBUG_PPPD
-DFLAGS= -g -O2 -DDEBUG_PPPD -DDEBUG_CONTROL
+DFLAGS= -g -O2 -DDEBUG_PPPD -DDEBUG_CONTROL -DDEBUG_ENTROPY
 #
 # Uncomment the next line for Linux
 #
-OSFLAGS= -DLINUX -I/usr/include
+OSFLAGS= -DLINUX 
+#OSFLAGS= -DLINUX -I/usr/include
 #
 # Uncomment the following to use the kernel interface under Linux
 #
@@ -47,8 +50,15 @@
 #
 #OSFLAGS= -DSOLARIS
 #OSLIBS= -lnsl -lsocket
+#
+# Feature flags
+#
+# Comment the following line to disable l2tpd maintaining IP address
+# pools to pass to pppd to control IP address allocation
 
-CFLAGS= $(DFLAGS) -Wall -DSANITY $(OSFLAGS)
+FFLAGS= -DIP_ALLOCATION 
+
+CFLAGS= $(DFLAGS) -Wall -DSANITY $(OSFLAGS) $(FFLAGS)
 HDRS=l2tp.h avp.h misc.h control.h call.h scheduler.h file.h aaa.h md5.h
 OBJS=l2tpd.o pty.o misc.o control.o avp.o call.o network.o avpsend.o scheduler.o file.o aaa.o md5.o
 LIBS= $(OSLIB) # -lefence # efence for malloc checking

## l2tpd 0.70-pre20031121-1

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,8 @@
 # become runtime options) debugging flags
 #
 #DFLAGS= -g -O2 -DDEBUG_PPPD
-DFLAGS= -g -O2 -DDEBUG_PPPD -DDEBUG_CONTROL -DDEBUG_ENTROPY
+#DFLAGS= -g -O2 -Wall -DDEBUG_PPPD -DDEBUG_CONTROL -DDEBUG_ENTROPY
+DFLAGS= -g -Wall -DDEBUG_PPPD -DDEBUG_CONTROL -DDEBUG_ENTROPY
 #
 # Uncomment the next line for Linux
 #

=== debian/changelog ===
l2tpd (0.70-pre20031121-1) unstable; urgency=high

  * New version including debian diff (closes: #240958).
  * debian/rules rewritten. (closes: #240964).
  * l2tpd is now a good daemon. (closes: #240965).
  * Added support for listen-address.
  * Fix for secret file fd leak (Vilmos Nebehaj).
  * Fix for buffer leak on failed control messages (Damion de Soto).
  * Rewrote avp handling code (indianess / alignement awareness) 
    (closes: #198815).
  * Hostname properly dealt with (from config or real hostname).
  * Rewrote pid handling code. (closes: #228415).
  * Remove control pipe on exit.
  * Added little control pipe input checking + basic doc.
  * Fix multiline string gcc issue (Andreas Metzler).
    (closes: #194945).
  * Fix package description (closes: #172748).
  * Fix for w2k ECHO issue (Damion de Soto) (closes: #222468).
  * Merged with upstream subversion repository.

 -- Jean-Francois Dive <jef@debian.org>  Sun,  2 May 2004 19:14:23 +0200

l2tpd (0.69-1) unstable; urgency=low

  * New upstream version (0.69).
  * Essentially documentation addition (closes: #141816).

 -- Jean-Francois Dive <jef@debian.org>  Mon,  9 Sep 2002 23:16:06 +1000

l2tpd (0.68-1) unstable; urgency=high

  * New upstream version (0.68).
  * Fix possible security flaw in random sources, which now use
    /dev/urandom. (see bugtraq post for more information).
  * Added man page for l2tpd.conf (integrated in upstream).
  * Fixed daemon mode bug (workarounded).

 -- Jean-Francois Dive <jef@debian.org>  Tue, 13 Aug 2002 23:43:33 +1000

l2tpd (0.67-1) unstable; urgency=low

  * New upstream version (0-67).
  * Added support for daemon mode (integrated in upstream).
  * Added support for command line parameters (integrated in upstream).
  * Added support for pid file (integrated in upstream).
  * Fixed init script to handle pid file.
  * Changed maintainer address.

 -- Jean-Francois Dive <jef@debian.org>  Tue, 16 Apr 2002 17:25:11 +1000

l2tpd (0.66-1) unstable; urgency=low

  * New upstream version (0-66) (closes: #141049),
    mainly fixes control tunnel authentication.

 -- Jean-Francois Dive <jef@linuxbe.org>  Mon,  8 Apr 2002 21:30:37 +1000

l2tpd (0.65-1-1) unstable; urgency=low

  * Fixed startup script problem (closes: #137761).
  * New upstream update.
  * Fixed compilation error on non intel or m68k (sigaction structure).
  * Fixed license file.

 -- Jean-Francois Dive <jef@linuxbe.org>  Thu, 21 Feb 2002 15:36:08 +1100

l2tpd (0.64-1) unstable; urgency=low

  * Initial Debianization (closes: #127683).

 -- Jean-Francois Dive <jef@linuxbe.org>  Thu, 21 Feb 2002 15:36:08 +1100

=== debian/control ===
Source: l2tpd
Maintainer: Jean-Francois Dive <jef@debian.org>
Priority: optional
Section: net
Standards-Version: 3.5.6
Build-Depends: debhelper (>= 3.0.5)

Package: l2tpd
Priority: optional
Section: net
Architecture: any
Provides: l2tp
Depends: ${shlibs:Depends}
Description: A layer 2 tunneling protocol implementation.
 l2tpd is the open source implementation of the L2TP tunneling
 protocol (RFC2661). It does implement both LAC and LNS role 
 in a L2TP networking architecture. The main goal of this protocol is 
 to tunnel PPP frame trough an ip network.

=== debian/rules ===
#!/usr/bin/make -f
#
# l2tpd debian package. Jean-Francois Dive.
#
# template by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_COMPAT := 3

b := $(CURDIR)/debian/l2tpd

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	#$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install
	install -m 0755 l2tpd $(CURDIR)/debian/l2tpd/usr/sbin/
	cp $(CURDIR)/doc/l2tpd.conf.sample $(CURDIR)/debian/l2tpd/etc/l2tpd/l2tpd.conf
	cp $(CURDIR)/doc/l2tp-secrets.sample $(CURDIR)/debian/l2tpd/etc/l2tpd/l2tp-secrets


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs BUGS CREDITS README TODO doc/origREADME doc/rfc2661.txt doc/l2tp-control.txt
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman $(CURDIR)/doc/l2tpd.8 $(CURDIR)/doc/l2tpd.conf.5 $(CURDIR)/doc/l2tp-secrets.5
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chmod 600 $(b)/etc/l2tpd/l2tp-secrets
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
